var toggle = document.querySelector('[aria-checked]'),
    $this,
    pressed,
    label;

toggle.addEventListener('click', function(e) {
    $this = e.target;

    pressed = $this.getAttribute('aria-checked') === 'true';
    $this.setAttribute('aria-checked', !pressed);

    label = $this.textContent.trim();
    if (!pressed) {
        $this.setAttribute('aria-label', label + ' on');
    } else {
        $this.setAttribute('aria-label', label + ' off');
    }
});